package svc

import (
	"fusenapi/home-user-auth/internal/config"
	"fusenapi/model"

	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

type ServiceContext struct {
	Config      config.Config
	FsFontModel model.FsFontModel
}

func NewServiceContext(c config.Config) *ServiceContext {

	return &ServiceContext{
		Config:      c,
		FsFontModel: model.NewFsFontModel(sqlx.NewMysql(c.DataSource)),
	}
}
